libgimpprint API Reference: dither_channel struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# dither_channel Struct Reference

`#include <dither-impl.h>`

## Data Fields
unsigned | randomizer
unsigned | bit_max
unsigned | signif_bits
unsigned | density
double | darkness
int | v
int | o
int | b
int | very_fast
stpi_ink_defn_t * | ink_list
int | nlevels
stpi_dither_segment_t * | ranges
int | error_rows
int ** | errs
stp_dither_matrix_impl_t | pick
stp_dither_matrix_impl_t | dithermat
int | row_ends [2]
unsigned char * | ptr
void * | aux_data

## Field Documentation

void* dither_channel::aux_data

| Definition at line 128 of file dither-impl.h. Referenced by et_setup(), eventone_adjust(), eventone_update(), free_eventone_data(), stpi_dither_et(), stpi_dither_ut(), and unitone_adjust().

int dither_channel::b

| Definition at line 113 of file dither-impl.h. Referenced by print_color(), and stpi_dither_ut().

unsigned dither_channel::bit_max

| Definition at line 106 of file dither-impl.h. Referenced by stpi_dither_finalize_ranges(), and stpi_dither_set_ranges().

double dither_channel::darkness

| Definition at line 109 of file dither-impl.h. Referenced by stpi_dither_set_ranges().

unsigned dither_channel::density

| Definition at line 108 of file dither-impl.h. Referenced by stpi_dither_set_ranges().

stp_dither_matrix_impl_t dither_channel::dithermat

| Definition at line 125 of file dither-impl.h. Referenced by et_setup(), initialize_channel(), print_color(), print_color_ordered(), print_color_very_fast(), stpi_dither_channel_destroy(), and stpi_dither_finalize().

int dither_channel::error_rows

| Definition at line 121 of file dither-impl.h. Referenced by et_setup(), stpi_dither_channel_destroy(), and stpi_dither_get_errline().

int** dither_channel::errs

| Definition at line 122 of file dither-impl.h. Referenced by diffuse_error(), et_initializer(), et_setup(), stpi_dither_channel_destroy(), stpi_dither_et(), stpi_dither_get_errline(), and stpi_dither_ut().

stpi_ink_defn_t* dither_channel::ink_list

| Definition at line 116 of file dither-impl.h. Referenced by find_segment(), stpi_dither_channel_destroy(), stpi_dither_finalize_ranges(), and stpi_dither_set_ranges().

int dither_channel::nlevels

| Definition at line 118 of file dither-impl.h. Referenced by find_segment(), print_color(), print_color_ordered(), stpi_dither_finalize_ranges(), stpi_dither_ordered(), stpi_dither_predithered(), stpi_dither_set_ranges(), and stpi_dither_very_fast().

int dither_channel::o

| Definition at line 112 of file dither-impl.h. Referenced by print_color(), and stpi_dither_ut().

stp_dither_matrix_impl_t dither_channel::pick

| Definition at line 124 of file dither-impl.h. Referenced by et_setup(), initialize_channel(), print_color(), stpi_dither_channel_destroy(), and stpi_dither_finalize().

unsigned char* dither_channel::ptr

| Definition at line 127 of file dither-impl.h. Referenced by print_color(), print_color_ordered(), print_color_very_fast(), stp_dither_add_channel(), stp_dither_get_channel(), stpi_dither_et(), and stpi_dither_ut().

unsigned dither_channel::randomizer

| Definition at line 103 of file dither-impl.h. Referenced by print_color().

stpi_dither_segment_t* dither_channel::ranges

| Definition at line 119 of file dither-impl.h. Referenced by print_color(), print_color_ordered(), stpi_dither_channel_destroy(), stpi_dither_finalize_ranges(), stpi_dither_ordered(), stpi_dither_predithered(), stpi_dither_set_ranges(), and stpi_dither_very_fast().

int dither_channel::row_ends[2]

| Definition at line 126 of file dither-impl.h. Referenced by set_row_ends().

unsigned dither_channel::signif_bits

| Definition at line 107 of file dither-impl.h. Referenced by stpi_dither_finalize_ranges().

int dither_channel::v

| Definition at line 111 of file dither-impl.h. Referenced by diffuse_error(), et_initializer(), print_color(), stpi_dither_et(), and stpi_dither_ut().

int dither_channel::very_fast

| Definition at line 114 of file dither-impl.h. Referenced by stpi_dither_finalize_ranges().

The documentation for this struct was generated from the following file:

- src/main/dither-impl.h